#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeframever	5.101
%define		qtver		5.15.2
%define		kfname		kquickcharts

Summary:	Plugin for beautiful and interactive charts
Name:		kf5-%{kfname}
Version:	5.101.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	7bb958822d0c6090502d0f1110e6f201
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Network-devel >= 5.11.1
BuildRequires:	Qt5Qml-devel
BuildRequires:	Qt5Quick-devel
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-extra-cmake-modules >= %{kdeframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qt Quick plugin for beautiful and interactive charts.

%package devel
Summary:	Header files for %{kaname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kaname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kaname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/qt5/qml/org/kde/quickcharts
%dir %{_libdir}/qt5/qml/org/kde/quickcharts/controls
%dir %{_libdir}/qt5/qml/org/kde/quickcharts/controls/styles
%dir %{_libdir}/qt5/qml/org/kde/quickcharts/controls/styles/org.kde.desktop
%{_libdir}/qt5/qml/org/kde/quickcharts/controls/libQuickChartsControls.so
%{_libdir}/qt5/qml/org/kde/quickcharts/controls/styles/org.kde.desktop/Theme.qml
%{_libdir}/qt5/qml/org/kde/quickcharts/controls/qmldir
%{_libdir}/qt5/qml/org/kde/quickcharts/controls/Theme.qml
%{_libdir}/qt5/qml/org/kde/quickcharts/controls/PieChartControl.qml
%{_libdir}/qt5/qml/org/kde/quickcharts/controls/LegendDelegate.qml
%{_libdir}/qt5/qml/org/kde/quickcharts/controls/LineChartControl.qml
%{_libdir}/qt5/qml/org/kde/quickcharts/controls/Legend.qml
%{_libdir}/qt5/qml/org/kde/quickcharts/controls/Logging.qml
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/quickcharts/libQuickCharts.so
%{_libdir}/qt5/qml/org/kde/quickcharts/qmldir
%{_datadir}/qlogging-categories5/kquickcharts.categories

%files devel
%defattr(644,root,root,755)
# %{_includedir}/KF5/kqtquickcharts_version.h
%{_libdir}/cmake/KF5QuickCharts
%changelog
* Sun Dec 11 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kquickcharts.git;a=log;h=master

* Sat Dec 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> bfb8692
- updated to 5.101.0

* Tue Nov 15 2022 Witold Filipczyk <witekfl@poczta.onet.pl> aa998ac
- updated to 5.100.0

* Thu Nov 10 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4b88323
- rebuild against QT 5.15.7

* Mon Oct 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 55182ff
- updated to 5.99.0

* Mon Sep 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 95a89c9
- updated to 5.98.0

* Wed Aug 17 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 81cbfc1
- relup

* Sun Aug 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 6c1385c
- updated to 5.97.0

* Sat Jul 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 9d63001
- updated to 5.96.0

* Tue Jun 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 2019127
- updated to 5.95.0

* Sat May 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 52cd253
- updated to 5.94.0

* Tue Apr 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 9e9b415
- updated to 5.93.0

* Tue Apr 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 0b4cf74
- bcond_with tests

* Sun Mar 13 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 5c430ec
- updated to 5.92.0

* Wed Feb 16 2022 Witold Filipczyk <witekfl@poczta.onet.pl> a094fa2
- updated to 5.91.0

* Sat Jan 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 7521248
- updated to 5.90.0

* Mon Dec 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 8e23cf1
- updated to 5.89.0

* Sun Nov 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 3485992
- updated to 5.88.0

* Tue Oct 12 2021 Witold Filipczyk <witekfl@poczta.onet.pl> e990dce
- updated to 5.87.0

* Mon Sep 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4f6bcf2
- updated to 5.86.0

* Tue Aug 17 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 7fc734e
- updated to 5.85.0

